#4064 Exception when startup the program via web start

R2.5.2
closed
Jorg Janke
5
2006-11-29
2006-09-22
vincentwong
No

When startup the program , some exception are shown.
The following are the error msg.

Can't load log handler "org.compiere.util.CLogConsole"
java.lang.ClassNotFoundException:
org.compiere.util.CLogConsole
java.lang.ClassNotFoundException:
org.compiere.util.CLogConsole
at java.net.URLClassLoader$1.run(Unknown
Source)
at java.security.AccessController.doPrivileged
(Native Method)
at java.net.URLClassLoader.findClass(Unknown
Source)
at java.lang.ClassLoader.loadClass(Unknown
Source)
at sun.misc.Launcher$AppClassLoader.loadClass
(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown
Source)
at java.util.logging.LogManager$7.run(Unknown
Source)
at java.security.AccessController.doPrivileged
(Native Method)
at
java.util.logging.LogManager.initializeGlobalHandlers
(Unknown
Source)
at java.util.logging.LogManager.access$900
(Unknown Source)
at
java.util.logging.LogManager$RootLogger.getHandlers
(Unknown Source)
at org.compiere.util.CLogMgt.initialize
(CLogMgt.java:67)
at org.compiere.Compiere.startup
(Compiere.java:389)
at org.compiere.Compiere.main
(Compiere.java:492)
at
sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke
(Unknown Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke
(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown
Source)
at com.sun.javaws.Launcher.executeApplication
(Unknown Source)
at com.sun.javaws.Launcher.executeMainClass
(Unknown Source)
at com.sun.javaws.Launcher.continueLaunch
(Unknown Source)
at
com.sun.javaws.Launcher.handleApplicationDesc(Unknown
Source)
at com.sun.javaws.Launcher.handleLaunchFile
(Unknown Source)
at com.sun.javaws.Launcher.run(Unknown Source)
at java.lang.Thread.run(Unknown Source)
Can't load log
handler "org.compiere.util.CLogErrorBuffer"
java.lang.ClassNotFoundException:
org.compiere.util.CLogErrorBuffer
java.lang.ClassNotFoundException:
org.compiere.util.CLogErrorBuffer
at java.net.URLClassLoader$1.run(Unknown
Source)
at java.security.AccessController.doPrivileged
(Native Method)
at java.net.URLClassLoader.findClass(Unknown
Source)
at java.lang.ClassLoader.loadClass(Unknown
Source)
at sun.misc.Launcher$AppClassLoader.loadClass
(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown
Source)
at java.util.logging.LogManager$7.run(Unknown
Source)
at java.security.AccessController.doPrivileged
(Native Method)
at
java.util.logging.LogManager.initializeGlobalHandlers
(Unknown
Source)
at java.util.logging.LogManager.access$900
(Unknown Source)
at
java.util.logging.LogManager$RootLogger.getHandlers
(Unknown Source)
at org.compiere.util.CLogMgt.initialize
(CLogMgt.java:67)
at org.compiere.Compiere.startup
(Compiere.java:389)
at org.compiere.Compiere.main
(Compiere.java:492)
at
sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke
(Unknown Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke
(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown
Source)
at com.sun.javaws.Launcher.executeApplication
(Unknown Source)
at com.sun.javaws.Launcher.executeMainClass
(Unknown Source)
at com.sun.javaws.Launcher.continueLaunch
(Unknown Source)
at
com.sun.javaws.Launcher.handleApplicationDesc(Unknown
Source)
at com.sun.javaws.Launcher.handleLaunchFile
(Unknown Source)
at com.sun.javaws.Launcher.run(Unknown Source)
at java.lang.Thread.run(Unknown Source)
*** 2006-07-14 16:40:37.031 Compiere Log
(CLogConsole) ***
16:40:36.687 Language.getLanguage: Adding
Language=zh, Country=HK, Locale=zh_HK
16:40:36.687 Compiere.startup: Compiere(r) Release
2.5.2d_2005-05-05 - Smart
ERP & CRM - (c) 1999-2005 Compiere (r);
Implementation: Custom 20060712-1439 -
Unsupported
16:40:36.687 Compiere.startup: \Compiere2 - Java
HotSpot(TM) Client VM
1.5.0_04-b05 - Windows XP 5.1 Service Pack 1

Discussion

  • Jorg Janke
    Jorg Janke
    2006-09-25

    • status: open --> pending
     
  • Jorg Janke
    Jorg Janke
    2006-09-25

    Logged In: YES
    user_id=87038

    What version how did you start it ?
    This was an issue in WebStart fixed some time ago.

     
  • vincentwong
    vincentwong
    2006-09-26

    Logged In: YES
    user_id=1024975

    The version is 252d.
    We just login to compiere by clicking the Web Start button
    in the Compiere home page.

     
  • vincentwong
    vincentwong
    2006-09-26

    • status: pending --> open
     
  • Jorg Janke
    Jorg Janke
    2006-09-27

    Logged In: YES
    user_id=87038

    In IE clear the temporary data - that usually helps

     
  • Jorg Janke
    Jorg Janke
    2006-09-27

    • status: open --> pending
     
    • status: pending --> closed
     
  • Logged In: YES
    user_id=1312539

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 7 days (the time period specified by
    the administrator of this Tracker).

     
  • vincentwong
    vincentwong
    2006-11-09

    Logged In: YES
    user_id=1024975

    In 253C processed it like this:
    I copy the code to 252D,but the exception is throw all the same.

    try
    {
    Logger rootLogger = Logger.getLogger("");
    //System.out.println(rootLogger.getName() + " (" + rootLogger + ")");
    Handler[] handlers = rootLogger.getHandlers();
    for (int i = 0; i < handlers.length; i ++)
    {
    //System.out.println(" > " + handlers[i]);
    if (!s_handlers.contains(handlers[i]))
    s_handlers.add(handlers[i]);
    }
    /**
    Enumeration en = mgr.getLoggerNames();
    while (en.hasMoreElements())
    {
    Logger lll = Logger.getLogger(en.nextElement().toString());
    System.out.println(lll.getName() + " (" + lll + ")");
    //System.out.println("- level=" + lll.getLevel());
    //System.out.println("- parent=" + lll.getParent() + " - UseParentHandlers=" +
    lll.getUseParentHandlers());
    //System.out.println("- filter=" + lll.getFilter());
    handlers = lll.getHandlers();
    //System.out.println("- handlers=" + handlers.length);
    for (int i = 0; i < handlers.length; i ++)
    {
    System.out.println(" > " + handlers[i]);
    if (!s_handlers.contains(handlers[i]))
    s_handlers.add(handlers[i]);
    }
    //System.out.println();
    }
    /** **/
    }
    catch (Exception e)
    {
    if (e instanceof ClassNotFoundException) // WebStart
    ;
    /**
    Can't load log handler "org.compiere.util.CLogConsole"
    java.lang.ClassNotFoundException: org.compiere.util.CLogConsole
    java.lang.ClassNotFoundException: org.compiere.util.CLogConsole
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at java.util.logging.LogManager$7.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.util.logging.LogManager.initializeGlobalHandlers(Unknown Source)
    at java.util.logging.LogManager.access$900(Unknown Source)
    at java.util.logging.LogManager$RootLogger.getHandlers(Unknown Source)
    at org.compiere.util.CLogMgt.initialize(CLogMgt.java:67)
    at org.compiere.Compiere.startup(Compiere.java:389)
    at org.compiere.Compiere.main(Compiere.java:500)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at com.sun.javaws.Launcher.executeApplication(Unknown Source)
    at com.sun.javaws.Launcher.executeMainClass(Unknown Source)
    at com.sun.javaws.Launcher.continueLaunch(Unknown Source)
    at com.sun.javaws.Launcher.handleApplicationDesc(Unknown Source)
    at com.sun.javaws.Launcher.handleLaunchFile(Unknown Source)
    at com.sun.javaws.Launcher.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
    **/
    else
    System.err.println(e.toString());
    }

     
  • vincentwong
    vincentwong
    2006-11-09

    • assigned_to: nobody --> jjanke
    • status: closed --> open
     
  • Jorg Janke
    Jorg Janke
    2006-11-21

    • status: open --> pending
     
  • Jorg Janke
    Jorg Janke
    2006-11-21

    Logged In: YES
    user_id=87038
    Originator: NO

    This issue was fixed - just migrate to the current version - 260a

     
    • status: pending --> closed
     
  • Logged In: YES
    user_id=1312539
    Originator: NO

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 7 days (the time period specified by
    the administrator of this Tracker).